Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld
Class ExternalVariables

    java.lang.Object
      com.bea.ld.ExternalVariables

All Implemented Interfaces:
  java.io.Serializable

    public final class ExternalVariables

extends java.lang.Object
implements java.io.Serializable

This class contains the list of variable name ( QName) - value pair. These variables can be used in FilterXQuery object when creating Filters or limiting the results.

See Also:
  `FilterXQuery`, Serialized Form

Nested Class Summary
`static class` | `ExternalVariables.VariableProperty`
`static class` | `ExternalVariables.XmlData`

Constructor Summary
`ExternalVariables()`

Method Summary
`java.util.Map` | `bindingsMap()`
`ExternalVariables.VariableProperty[]` | `getBindingList()`
`void` | `setBinary(javax.xml.namespace.QName varName, byte[] value)` sets the binary type variable
`void` | `setBinaryXML(javax.xml.namespace.QName varName, byte[] value)`
`void` | `setBindingList(ExternalVariables.VariableProperty[] property)`
`void` | `setBoolean(javax.xml.namespace.QName varName, boolean value)` sets the boolean type variable
`void` | `setByte(javax.xml.namespace.QName varName, byte value)` sets the byte type variable
`void` | `setDate(javax.xml.namespace.QName varName, java.sql.Date value)`
`void` | `setDateTime(javax.xml.namespace.QName varName, java.util.Calendar value)` sets the Calendar type variable
`void` | `setDateTime(javax.xml.namespace.QName varName, java.util.Date value)` sets the Date type variable
`void` | `setDateTime(javax.xml.namespace.QName varName, java.sql.Timestamp value)`
`void` | `setDecimal(javax.xml.namespace.QName varName, java.math.BigDecimal value)` sets the BigDecimal type variable
`void` | `setDouble(javax.xml.namespace.QName varName, double value)` sets the double type variable
`void` | `setElement(javax.xml.namespace.QName varName, org.w3c.dom.Element value, boolean validate)`
`void` | `setElement(javax.xml.namespace.QName varName, java.lang.String value, boolean validate)`
`void` | `setFloat(javax.xml.namespace.QName varName, float value)` sets the float type variable
`void` | `setInt(javax.xml.namespace.QName varName, int value)` sets the int type variable
`void` | `setLong(javax.xml.namespace.QName varName, long value)` sets the long type variable
`void` | `setObject(javax.xml.namespace.QName varName, java.lang.Object value)`
`void` | `setObject(javax.xml.namespace.QName varName, java.lang.Object value, boolean validate)`
`void` | `setShort(javax.xml.namespace.QName varName, short value)` sets the short type variable
`void` | `setString(javax.xml.namespace.QName varName, java.lang.String value)` sets the String type variable
`void` | `setTime(javax.xml.namespace.QName varName, java.sql.Time value)`
`void` | `setURI(javax.xml.namespace.QName varName, java.net.URI value)` sets the URI type variable
`org.openuri.www.ExternalVariables` | `toProxy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalVariables

    public ExternalVariables()

Method Detail

### setBinary

    public void setBinary(javax.xml.namespace.QName varName,
                          byte[] value)

  sets the binary type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : binary value of the variable

### setBoolean

    public void setBoolean(javax.xml.namespace.QName varName,
                           boolean value)

  sets the boolean type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : boolean value of the variable

### setByte

    public void setByte(javax.xml.namespace.QName varName,
                        byte value)

  sets the byte type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : byte value of the variable

### setDate

    public void setDate(javax.xml.namespace.QName varName,
                        java.sql.Date value)

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.sql.Date value of the variable
  Exclude:
    sets the Date type variable

### setDateTime

    public void setDateTime(javax.xml.namespace.QName varName,
                            java.util.Date value)

  sets the Date type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.util.Date value of the variable

### setDateTime

    public void setDateTime(javax.xml.namespace.QName varName,
                            java.sql.Timestamp value)

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.sql.Timestamp value of the variable
  Exclude:
    sets the Timestamp type variable

### setDateTime

    public void setDateTime(javax.xml.namespace.QName varName,
                            java.util.Calendar value)

  sets the Calendar type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.util.Calendar value of the variable

### setDecimal

    public void setDecimal(javax.xml.namespace.QName varName,
                           java.math.BigDecimal value)

  sets the BigDecimal type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : BigDecimal value of the variable

### setDouble

    public void setDouble(javax.xml.namespace.QName varName,
                          double value)

  sets the double type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : double value of the variable

### setFloat

    public void setFloat(javax.xml.namespace.QName varName,
                         float value)

  sets the float type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : float value of the variable

### setInt

    public void setInt(javax.xml.namespace.QName varName,
                       int value)

  sets the int type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : int value of the variable

### setLong

    public void setLong(javax.xml.namespace.QName varName,
                        long value)

  sets the long type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : long value of the variable

### setShort

    public void setShort(javax.xml.namespace.QName varName,
                         short value)

  sets the short type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : short value of the variable

### setString

    public void setString(javax.xml.namespace.QName varName,
                          java.lang.String value)

  sets the String type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : String value of the variable

### setTime

    public void setTime(javax.xml.namespace.QName varName,
                        java.sql.Time value)

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : double value of the variable
  Exclude:
    sets the double type variable

### setURI

    public void setURI(javax.xml.namespace.QName varName,
                       java.net.URI value)

  sets the URI type variable

  Parameters:
    `varName` - QName : Name of the variable, does not require namespace
    `value` - : java.net.URI value of the variable

### setObject

    public void setObject(javax.xml.namespace.QName varName,
                          java.lang.Object value)

  Parameters:
    `varName` -
    `value` -
  Exclude:

### setObject

    public void setObject(javax.xml.namespace.QName varName,
                          java.lang.Object value,
                          boolean validate)

  Parameters:
    `varName` -
    `value` -
    `validate` -
  Exclude:

### setElement

    public void setElement(javax.xml.namespace.QName varName,
                           java.lang.String value,
                           boolean validate)

  Parameters:
    `varName` -
    `value` -
    `validate` -
  Exclude:

### setElement

    public void setElement(javax.xml.namespace.QName varName,
                           org.w3c.dom.Element value,
                           boolean validate)

  Parameters:
    `varName` -
    `value` -
    `validate` -
  Exclude:

### setBinaryXML

    public void setBinaryXML(javax.xml.namespace.QName varName,
                             byte[] value)

  Parameters:
    `varName` -
    `value` -
  Exclude:

### bindingsMap

    public java.util.Map bindingsMap()

  Exclude:

### getBindingList

    public ExternalVariables.VariableProperty[] getBindingList()

  Returns:
    Return the array of VariableProperty Object.
  Exclude:

### setBindingList

    public void setBindingList(ExternalVariables.VariableProperty[] property)

  Parameters:
    `property` -
  Exclude:

### toProxy

    public org.openuri.www.ExternalVariables toProxy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.